module ADT

  class OctetString

    def self.to_array(octetstring)
      self.to_bitstring(octetstring).split("")
    end

    def self.to_bitstring(octetstring)
      octetstring.unpack('B*')[0]
    end

    def self.from_array(array)
      self.from_bitstring(array.join(""))
    end

    def self.from_bitstring(bitstring)
      [bitstring].pack('B*')
    end

  end

end
